@font-face {
	font-family: 'local noto sans jp';
	src: local('noto sans jp');
}

.micron-confirm-modal {
	padding: 0;
	border: 0;
	max-width: calc(100% - 48px);
	background-color: unset;
	outline: 0;
}

.micron-confirm-modal::backdrop {
	background-color: #293855;
}

.micron-confirm-modal .micron-confirm-modal-inner {
	border-radius: 8px;
	display: grid;
	row-gap: 24px;
	background-color: #f1f1f1;
	text-align: center;
}

.micron-confirm-modal .micron-confirm-modal-lead {
	line-height: 1.3888888889;
	font-size: 1.125rem;
}

.micron-confirm-modal .wp-block-buttons {
	margin-block: 0;
	gap: 24px;
}

.micron-confirm-modal .wp-block-button__link {
	cursor: pointer;
}

@media screen and (max-width: 1024px) {

	.micron-confirm-modal .micron-confirm-modal-inner {
		padding: 40px 24px;
	}

	.micron-confirm-modal .micron-confirm-modal-title {
		line-height: 1.4166666667;
		font-size: 1.5rem;
	}

	.micron-confirm-modal .wp-block-button__link {
		margin-inline: auto;
		width: 100%;
		max-width: 400px;
	}
}

@media screen and (min-width: 1025px) {

	.micron-confirm-modal .micron-confirm-modal-inner {
		padding: 120px;
		max-width: 1280px;
	}

	.micron-confirm-modal .micron-confirm-modal-title {
		line-height: 1.3846153846;
		font-size: 1.625rem;
	}
}

@media print {

	.micron-confirm-modal .micron-confirm-modal-inner {
		padding: 120px;
		max-width: 1280px;
	}

	.micron-confirm-modal .micron-confirm-modal-title {
		line-height: 1.3846153846;
		font-size: 1.625rem;
	}

	.micron-confirm-modal .wp-block-buttons {
		display: flex;
		justify-content: center;
	}
}

@media screen and (max-width: 768px) {

	.micron-confirm-modal .wp-block-buttons {
		display: grid;
	}
}

@media screen and (min-width: 769px) {

	.micron-confirm-modal .wp-block-buttons {
		display: flex;
		justify-content: center;
	}
}
